package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.user.model.CodeBook;


/**
 * 角色mapper对应src/main/resources/sqlmap下的role.xml配置文件
 * @author 钟辉
 *
 */
@Component("codeBookMapper")
public interface CodeBookMapper extends CommonMapper{
	
	public void insertCodeBook(List<CodeBook> list);
	
	public int getCount();
	
	public void deleteCodeBook(CodeBook cb);
	
	public List<CodeBook> getAllCodeBook();
	
	public List<CodeBook> findByRandomCode(String randomCode);
	
	public int validatePassword(CodeBook cb);
}
